# Uses of Enum Class
org.json.simple.DeserializationException.Problems

Packages that use DeserializationException.Problems
Package
Description
org.json.simple

## Uses of DeserializationException.Problems in org.json.simple

Methods in org.json.simple that return DeserializationException.Problems
Modifier and Type
Method
Description
`DeserializationException.Problems`
DeserializationException.`getProblemType()`
Helps find an appropriate solution for a problem.
`static DeserializationException.Problems`
DeserializationException.Problems.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static DeserializationException.Problems[]`
DeserializationException.Problems.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Constructors in org.json.simple with parameters of type DeserializationException.Problems
Modifier
Constructor
Description
``
`DeserializationException(int position, DeserializationException.Problems problemType, Object unexpectedObject)`
Instantiates a DeserializationException without assumptions.